function  spikeinfo = InforPerSpike( map )
% Skaggs 1993; Ji 2007

occp = map.time/sum(map.time);  % occupancy probability
if isfield(map, 'z')
    fi = map.z;
else
    fi = map.rate;
end

f = sum(occp.*fi);
fif = fi./f;
ok = fif > 0;
occp = occp(ok);
fif = fif(ok);

spikeinfo = sum(occp.*fif.*log2(fif));

end